View Issue Details

IDProjectCategoryView StatusLast Update
0017531CentOS-7ImageMagickpublic2020-06-23 18:29
Reporterclok 
PriorityhighSeveritymajorReproducibilityalways
Status newResolutionopen 
Product Version7.8-2003 
Target VersionFixed in Version 
Summary0017531: ImageMagick 6.9.10.68-3.el7 is not compiled with openjpeg2 (JPEG2000) support
DescriptionRecently upgraded some RPMs on a system that had ImageMagick 6.7.8.9-18 installed (and working with JP2/J2K files) and received 6.9.10 from the base repo. My JP2/J2K files stopped converting as a result. It appears this is a compile-time issue that would require me to recompile ImageMagick from source to fix it which means the 6.9.10 rpm creator has improperly removed JPEG2000 support from the program in creating the RPM.
Steps To ReproduceInstall ImageMagick 6.9.10 (currently only one in repo).
Run "identify -list format".
Look for "JP2" or "J2K" formats (won't be there).
Additional InformationThe removal of JP2 support is not in any changelogs or tracking that I can find, so I'm hoping this is in error and can be fixed quickly.

rpm -q --changelog ImageMagick

* Mon Nov 11 2019 Jan Horak <jhorak@redhat.com> - 6.9.10.68-3
- Fixing freeze when svg file contains class=''

* Thu Nov 07 2019 Jan Horak <jhorak@redhat.com> - 6.9.10.68-2
- Fixed ghostscript fonts, fixed multilib conflicts

* Wed Oct 23 2019 Jan Horak <jhorak@redhat.com> - 6.9.10.68-1
- Rebase to 6.9.10.68

* Thu Apr 11 2019 Jan Horak <jhorak@redhat.com> - 6.7.8.9-18
- Fixed white images

I've had to retrieve an ImageMagick RPM from another repo because this functionality is critical to my company's product.
TagsNo tags attached.
abrt_hash
URL

Activities

TrevorH

TrevorH

2020-06-23 16:34

manager   ~0037219

CentOS is a rebuild of the sources used to create RHEL. We do not modify anything except to remove branding and logos. You will need to submit your request to Redhat via bugzilla.redhat.com and if/when RH accepts it and incorporates it into RHEL and releases a patched version, then CentOS will pick it up and rebuild it.
clok

clok

2020-06-23 18:29

reporter   ~0037220

Submitted to RHEL bugzilla here:
https://bugzilla.redhat.com/show_bug.cgi?id=1850214

Issue History

Date Modified Username Field Change
2020-06-23 16:00 clok New Issue
2020-06-23 16:34 TrevorH Note Added: 0037219
2020-06-23 18:29 clok Note Added: 0037220